@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header"><a href="{{ $home->url }}">{{ $home->title }}</a></div>

                <div class="card-body">
                    @if (session('status'))
                        <div class="alert alert-success" role="alert">
                            {{ session('status') }}
                        </div>
                    @endif

                    <div class="row">
                        <div class="col-lg-12">
                            <div id="picturesCarousel" class="carousel slide" data-ride="carousel">
                                <ol class="carousel-indicators">
                                    @foreach($home->pictures as $i => $pic)
                                    <li data-target="#picturesCarousel" data-slide-to="{{ $i }}" @if($i === 0)class="active"@endif></li>
                                    @endforeach
                                </ol>
                                <div class="carousel-inner">
                                    @foreach($home->pictures as $i => $pic)
                                    <div class="carousel-item @if($i === 0) active @endif">
                                        <img class="d-block w-100" src="{{ asset($pic) }}">
                                    </div>
                                    @endforeach
                                </div>
                                <a class="carousel-control-prev" href="#picturesCarousel" role="button" data-slide="prev">
                                    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                                    <span class="sr-only">Previous</span>
                                </a>
                                <a class="carousel-control-next" href="#picturesCarousel" role="button" data-slide="next">
                                    <span class="carousel-control-next-icon" aria-hidden="true"></span>
                                    <span class="sr-only">Next</span>
                                </a>
                            </div>
                        </div>
                    </div>
                    @if(!empty($home->comment))
                    <div class="card mt-4 mb-4">
                        <div class="card-header">Mon commentaire</div>
                        <div class="card-body">
                            {!! nl2br($home->comment) !!}
                        </div>
                    </div>
                    @endif
                    <div class="row mb-4">
                        <div class="col-lg-12">
                            {!! nl2br($home->description) !!}
                        </div>
                    </div>
                    <div class="row mb-4">
                        <div class="col-lg-12"><h3>Informations :</h3></div>
                        <div class="col-lg-3"><strong>Ville : </strong> {{ $home->city }}</div>
                        <div class="col-lg-3"><strong>Prix : </strong> {{ $home->price }}</div>
                        <div class="col-lg-3"><strong>Surface : </strong> {{ $home->surface }} m²</div>
                        <div class="col-lg-3"><strong>Nombre de pièces : </strong>{{ $home->rooms }}</div>
                    </div>
                    <div class="row mb-4">
                        <div class="col-lg-12"><h3>Informations complémentaires :</h3></div>
                        <div class="col-lg-3"><strong>Surface de jardin : </strong> {{ $home->garden_surface ?? '−' }}</div>
                        <div class="col-lg-3"><strong>Énergie : </strong> {{ $home->energy ?? '−' }}</div>
                        <div class="col-lg-3"><strong>GES : </strong> {{ $home->ges ?? '−' }}</div>
                    </div>
                    <div class="row">
                        @if(!empty($home->slug)) <div class="col-lg-3"><a href="{{ route('public.view', $home->slug) }}" class="btn btn-light">Lien public</a></div>@endif
                        <div class="col-lg-3 offset-3"><a href="{{ route('home.update', $home->id) }}" class="btn btn-light">Mettre à jour</a></div>
                        <div class="col-lg-3"><a href="{{ $home->url }}" class="btn btn-success">Voir l'origine →</a></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
